import QtQuick
import QtQuick.Controls

import magpie.API

Column {
    signal register()

    spacing: 10

    Label {
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Please, log in to your account")
        font {
            pixelSize: 14
        }
    }

    Grid {
        anchors.horizontalCenter: parent.horizontalCenter
        columns: 2
        columnSpacing: 10
        rowSpacing: 5
        verticalItemAlignment: Grid.AlignVCenter
        horizontalItemAlignment: Grid.AlignRight

        Label {
            text: qsTr("Login") + ":";
        }

        TextField {
            id: login
        }

        Label {
            text: qsTr("Password") + ":";
        }

        TextField {
            id: password
            echoMode: TextField.Password
        }
    }

    Button {
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Login")
        onClicked: function () {
            console.log("Not implemented");
        }
    }

    Row {
        anchors.horizontalCenter: parent.horizontalCenter
        spacing: 5
        topPadding: 10

        Label {
            text: qsTr("Don't have account?")
        }
        Label {
            text: qsTr("Sign up") + "!"
            font {
                italic: true
                underline: true
            }

            MouseArea {
                anchors.fill: parent
                onClicked: register()
            }
        }
    }
}
