import QtQuick
import QtQuick.Controls

import magpie.API

Column {
    signal login()

    spacing: 10

    Label {
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Please, chose login and password")
        font {
            pixelSize: 14
        }
    }

    Grid {
        anchors.horizontalCenter: parent.horizontalCenter
        columns: 2
        columnSpacing: 10
        rowSpacing: 5
        verticalItemAlignment: Grid.AlignVCenter
        horizontalItemAlignment: Grid.AlignRight

        Label {
            text: qsTr("Login") + ":";
        }

        TextField {
            id: newLogin
        }

        Label {
            text: qsTr("Password") + ":";
        }

        TextField {
            id: newPassword
            echoMode: TextField.Password
        }
    }

    Button {
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Register")
        onClicked: API.sendRegister(newLogin.text, newPassword.text, function (err, result) {
            if (err)
                console.error("err")

            console.log(result);
        })
    }

    Row {
        anchors.horizontalCenter: parent.horizontalCenter
        spacing: 5
        topPadding: 10

        Label {
            text: qsTr("Already have an account?")
        }
        Label {
            text: qsTr("Log in") + "!"
            font {
                italic: true
                underline: true
            }

            MouseArea {
                anchors.fill: parent
                onClicked: login()
            }
        }
    }
}
